/**
 *******************************************************************************
 * @file    TMPM4Kyh
 * @brief   CMSIS Cortex-M4 Core Peripheral Access Layer Header File for the
 *          TOSHIBA 'TMPM4Ky' Group
 * @version V0.0.0.0
 * $Date:: 2019-05-10 14:33:28 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
#ifndef __TMPM4Ky_H__
#define __TMPM4Ky_H__

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup TOSHIBA_TXZ_MICROCONTROLLER TOSHIBA TXZ MICROCONTROLLER
  * @{
  */
  
/** @addtogroup TMPM4Ky TMPM4Ky
  * @{
  */

#if !defined(TMPM4KQ) && !defined(TMPM4KL) && !defined(TMPM4KM) && \
    !defined(TMPM4KN) && !defined(TMPM4KP)
/**
  * @brief Remove a comment of target device.
  */
   #define TMPM4KQ     /*!< TMPM4KQ device */
/* #define TMPM4KL */  /*!< TMPM4KL device */
/* #define TMPM4KM */  /*!< TMPM4KM device */
/* #define TMPM4KN */  /*!< TMPM4KN device */
/* #define TMPM4KP */  /*!< TMPM4KP device */
#endif

/** @defgroup Device_Included Device Included
  * @{
  */

#if defined(TMPM4KQ)
   #include "TMPM4KQ.h"
#elif defined(TMPM4KL)
   #include "TMPM4KL.h"
#elif defined(TMPM4KM)
   #include "TMPM4KM.h"
#elif defined(TMPM4KN)
   #include "TMPM4KN.h"
#elif defined(TMPM4KP)
   #include "TMPM4KP.h"
#else
   #error "target device is non-select."
#endif

/**
  * @}
  */ /* End of group Device_Included */

#ifdef __cplusplus
}
#endif

#endif  /* __TMPM4Ky_H__ */

/**
  * @}
  */ /* End of group TMPM4Ky */

/**
  * @}
  */ /* End of group TOSHIBA_TXZ_MICROCONTROLLER */
