/** 
 *******************************************************************************
 * @file    trm_t32a.h
 * @brief   This file provides all the functions prototypes for driver interface.
 * @version V1.0.0.0
 * $Date:: 2019-05-10 11:52:33 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __TRM_T32A_H
#define __TRM_T32A_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_sample_def.h"

/**
 *  @addtogroup Example
 *  @{
 */

/** 
 *  @addtogroup TRMOSC
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TRMOSC_Private_functions
 *  @{
 */

void InitT32A_Sout(void);
void InitT32A_RefIn(void);
void StartCapture(void);
uint32_t GetCaptureData(void);
void StopCapture(void);

/** 
 *  @}
 */ /* End of group TRMOSC_Private_functions */

/**
 *  @}
 */ /* End of group TRMOSC */

/**
 *  @} 
 */ /* End of group Example */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __TRM_T32A_H */

