/** 
 *******************************************************************************
 * @file    tspi_dma.h
 * @brief   External reference declaration for TSPI input/output
 * @version V1.0.0.0
 * $Date:: 2018-10-26 13:20:12 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __TSPI_DMA_H
#define __TSPI_DMA_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "TMPM4Ky.h"  /*!< TMPM4Ky Group Header file. */

/**
 *  @addtogroup Example
 *  @{
 */

/** 
 *  @addtogroup TSPI_DMA
 *  @{
 */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TSPI_DMA_Exported_define
 *  @{
 */

/** @defgroup TSPI_DMA_Exported typedef
  * @{
  */
typedef enum {
    TXZ_SUCCESS = 0U,
    TXZ_ERROR = 1U
} TXZ_Result;

typedef enum {
    TXZ_BUSY = 0U,
    TXZ_DONE = 1U
} TXZ_WorkState;

typedef enum {
    TXZ_DISABLE = 0U,
    TXZ_ENABLE = 1U
} TXZ_FunctionalState;
/** 
 *  @addtogroup TSPI_DMA_Exported_typdef
 *  @{
 */
/**
 *  @}
 */ /* End of group TSPI_DMA_Exported_define */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TSPI_DMA_Exported_functions
 *  @{
 */
void DMA_Config(void);
void TSPI_DMA_Trans(uint32_t num);
void TSPI_DMA_Receive(uint32_t num);
/** 
 *  @}
 */ /* End of group TSPI_DMA_Exported_functions */

/**
 *  @}
 */ /* End of group TSPI_DMA */

/**
 *  @} 
 */ /* End of group Example */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __TSPI_DMA_H */

