/** 
 *******************************************************************************
 * @file    uart_io.h
 * @brief   External reference declaration for Uart Input/Output.
 * @version V1.0.0.0
 * $Date:: 2018-06-28 15:22:35 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __UART_IO_H
#define __UART_IO_H

#include "txz_driver_def.h"
#ifdef __cplusplus
extern "C" {
#endif

/** 
 *  @addtogroup BSP_UTILITIES_Exported_define
 *  @{
 */

#define UART_IO_SEND_MAX       ((uint32_t)32)   /*!< Size of send max. (byte)    */
#define UART_IO_RECEIVE_MAX    ((uint32_t)32)   /*!< Size of receive max. (byte) */
/** 
 *  @}
 */ /* End of group BSP_UTILITIES_Exported_define */

/**
 *  @} 
 */ /* End of group TXZ_Exported_typedef */


/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
void uart_io_initialize(void);
void uart_io_finalize(void);
int  uart_io_put_char(int c);
int  uart_io_get_char(void);

/**
 *  @}
 */ /* End of group UART_IO_PUBLIC */

/**
 *  @}
 */ /* End of group UART_IO */

/**
 *  @}
 */ /* End of group Sample_Appli */
#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __UART_IO_H */

